#/****************************************************************************
#**  SIONLIB     http://www.fz-juelich.de/jsc/sionser_32ser_64_32lib                       **
#*****************************************************************************
#**  Copyright (c) 2008-2009                                                **
#**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
#**                                                                         **
#**  See the file COPYRIGHT in the package base directory for details       **
#****************************************************************************/
INSTDIR=../install/sionlib_aix

LIBNAME = sion_64
LIBSERNAME = sionser_64
SIONARCH=_SION_AIX

GMON = -g -pg
GMON = 

PREC=64

F90                     = xlf90_r
FFLAGS                  = -O3 $(GMON) -qfree=F90 -q$(PREC)
F90NOOPT                =  -O0 $(GMON)
F90LOADER               = $(F90) 
F90_MPI                 = mpxlf90_r
F90MPI_LOADER           = $(F90_MPI)

LARGEFILE=-D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D__USE_LARGEFILE64 -D__USE_FILE_OFFSET64 

# -DEBUG
CC                      = xlc
CFLAGS                  = $(GMON) -O3 -D$(SIONARCH) $(LARGEFILE) $(DEBUG) -q$(PREC) -qfullpath 
CCLOADER                = $(CC)
CC_MPI                  = mpcc_r
CCMPI_LOADER            = $(CC_MPI) 
CPP                     = /usr/bin/cpp -P -C
CPPFLAGS                = -D$(SIONARCH) $(LARGEFILE)

ARCMD                   = ar -X$(PREC)

# Libraries
# --------
MPI_FLAGS		= -DSION_MPI
MPI_LIBS        = 
# lin alg

# LowLevel
# --------
LOWLEVEL_LIBS   = -L$(BENCH)/lib -lLow_Level

